| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUITab Class Reference

A tab-page, onto which other gui elements could be added. More...

`#include <IGUITabControl.h>`

Inheritance diagram for irr::gui::IGUITab:

List of all members.

## Public Member Functions

- IGUITab (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
    constructor
- virtual video::SColor getBackgroundColor () const =0
    returns the color of the background
- virtual s32 getNumber () const =0
    Returns zero based index of tab if in tabcontrol.
- virtual video::SColor getTextColor () const =0
    gets the color of the text
- virtual bool isDrawingBackground () const =0
    returns true if the tab is drawing its background, false if not
- virtual void setBackgroundColor (video::SColor c)=0
    sets the color of the background, if it should be drawn.
- virtual void setDrawBackground (bool draw=true)=0
    sets if the tab should draw its background
- virtual void setTextColor (video::SColor c)=0
    sets the color of the text

## Detailed Description

A tab-page, onto which other gui elements could be added.

IGUITab refers to the page itself, not to the tab in the tabbar of an IGUITabControl.

Definition at line 18 of file IGUITabControl.h.

## Constructor & Destructor Documentation

irr::gui::IGUITab::IGUITab | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle
| ) |  | `[inline]`

constructor

Definition at line 23 of file IGUITabControl.h.

## Member Function Documentation

virtual video::SColor irr::gui::IGUITab::getBackgroundColor | ( |  | ) | const`[pure virtual]`

returns the color of the background

virtual s32 irr::gui::IGUITab::getNumber | ( |  | ) | const`[pure virtual]`

Returns zero based index of tab if in tabcontrol.

Can be accessed later IGUITabControl::getTab() by this number. Note that this number can change when other tabs are inserted or removed .

virtual video::SColor irr::gui::IGUITab::getTextColor | ( |  | ) | const`[pure virtual]`

gets the color of the text

virtual bool irr::gui::IGUITab::isDrawingBackground | ( |  | ) | const`[pure virtual]`

returns true if the tab is drawing its background, false if not

virtual void irr::gui::IGUITab::setBackgroundColor | ( | video::SColor | c | ) | `[pure virtual]`

sets the color of the background, if it should be drawn.

virtual void irr::gui::IGUITab::setDrawBackground | ( | bool | draw = `true` | ) | `[pure virtual]`

sets if the tab should draw its background

virtual void irr::gui::IGUITab::setTextColor | ( | video::SColor | c | ) | `[pure virtual]`

sets the color of the text

The documentation for this class was generated from the following file:

- IGUITabControl.h